## ros-indigo-turtlebot-exploration-3d 0.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_exploration_3d)

set(octomap_DIR "/opt/ros/indigo/share/octomap")
set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS} -O3")

find_package(OpenMP)
if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    message("OpenMP enabled")
endif()


## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  octomap_msgs
  octomap_ros
  pcl_ros
  roscpp
  std_msgs
  move_base_msgs
  actionlib
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   geometry_msgs#   octomap_msgs#   std_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
 INCLUDE_DIRS include
#  LIBRARIES turtlebot_exploration_3d
 # CATKIN_DEPENDS geometry_msgs octomap_msgs octomap_ros octomap_server pcl_ros roscpp std_msgs actionlib move_base_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
  $(OCTOMAP_INCLUDE_DIRS)
  include/
)

## Declare a cpp library
add_library(navigation                      src/navigation_utils.cpp)

## Declare a cpp executable
add_executable(turtlebot_exploration_3d     src/turtlebot_exploration_3d.cpp src/gpregressor.cpp  src/covMaterniso3.cpp)


target_link_libraries(turtlebot_exploration_3d
  ${catkin_LIBRARIES}
  ${OCTOMAP_LIBRARIES}
  navigation
)



#############
## Install ##
#############
install(TARGETS turtlebot_exploration_3d navigation
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
)

=== debian/changelog ===
ros-indigo-turtlebot-exploration-3d (0.0.9-0trusty) trusty; urgency=high

  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/turtlebot_exploration_3d
  * minor change to screen output
  * update installation guide, dependency
  * update installation guide, dependency
  * update launch file, no need for scan_to_pcl
  * Contributors: mailto:baishi.bona@gmail.com, baishibona
  * update launch file, no need for scan_to_pcl
  * Contributors: mailto:baishi.bona@gmail.com

 -- Bona <baishi.bona@gmail.com>  Sat, 04 Feb 2017 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.8-0trusty) trusty; urgency=high

  * update install list
  * Contributors: mailto:baishi.bona@gmail.com

 -- Bona <baishi.bona@gmail.com>  Tue, 03 Jan 2017 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.7-0trusty) trusty; urgency=high



 -- Bona <baishi.bona@gmail.com>  Thu, 29 Dec 2016 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.6-0trusty) trusty; urgency=high

  * add install, and launch
  * update parameters, bug false alarm cleared
  * fix bug, n--num_of_samples
  * Contributors: mailto:baishi.bona@gmail.com

 -- Bona <baishi.bona@gmail.com>  Thu, 29 Dec 2016 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.5-0trusty) trusty; urgency=high

  * adding visualization_msgs to package for bloom build
  * Contributors: mailto:baishi.bona@gmail.com

 -- Bona <baishi.bona@gmail.com>  Wed, 21 Dec 2016 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.4-0trusty) trusty; urgency=high

  * remove laser_geometry from dep
  * Contributors: mailto:baishi.bona@gmail.com

 -- Bona <baishi.bona@gmail.com>  Tue, 20 Dec 2016 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.3-0trusty) trusty; urgency=high



 -- Bona <baishi.bona@gmail.com>  Tue, 20 Dec 2016 05:00:00 -0000

ros-indigo-turtlebot-exploration-3d (0.0.2-0trusty) trusty; urgency=high

  * prepare release
  * prepare for release-packagexml
  * prepare for release
  * update resolution to 0.1, as well as 15 evaluations per step
  * typo in pdf
  * update bayesian approach
  * fix typo @OctomapOccupied_cubelist_3d
  * update ROS code style..
  * update tutorial
  * update tutorial
  * update readme.md
  * update license
  * update tutorial typo
  * candidate check
  * udpate changelog
  * first commit, ver 0.0.1
  * Contributors: Bona, Shawn

 -- Bona <baishi.bona@gmail.com>  Tue, 20 Dec 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-exploration-3d
Section: misc
Priority: extra
Maintainer: Bona <baishi.bona@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-octomap-msgs, ros-indigo-octomap-ros, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/turtlebot_exploration_3d
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-exploration-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-move-base-msgs, ros-indigo-octomap-rviz-plugins, ros-indigo-turtlebot-navigation, ros-indigo-visualization-msgs
Description: Autonomous Exploration package for a Turtulebot equiped with RGBD Sensor(Kinect, Xtion)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-exploration-3d//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
